<?php
header('Content-Type: application/json');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$resultado = FALSE;
if($_REQUEST['id']){$id = $_REQUEST['id'];}

if( $_REQUEST["historia"] ) {
    $historia = $_REQUEST['historia'];
 }
 
 if( $_REQUEST["usuario"] ) {
    $usuario = $_REQUEST['usuario'];
 }

 if( $_REQUEST["tipo"] ) {
    $tipo = $_REQUEST['tipo'];
 }

 $revisar = 0;
 if( $_REQUEST["revisar"] ) {
    $revisar = $_REQUEST['revisar'];
 }


 $res = '';

 $fecha = dl_fecha::dl_ahora_texto();

if ($id > 0 && $tipo == 'TRAMO')
{
    $historial = dl_historial::dl_agrego_evento_a_historial($historia,"REACTIVACION ", $usuario); 
    $sql = "UPDATE cat_tramos SET activo = 1 , historial = '" . $historial . ", dato3=" . $revisar . " WHERE elemred = " . $id;
    $resultado = mysqli_query($con, $sql);
    $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se reactiva tramo eliminado previamente','TRAMO REACTIVADO','" . $fecha . "','" . $usuario . "','TRAMO')";
    $resultado2 = mysqli_query($con,$sql);
}    

if ($id > 0 && $tipo == 'PSINGULAR')
{
    $historial = dl_historial::dl_agrego_evento_a_historial($historia,"REACTIVACION ", $usuario); 
    $sql = "UPDATE cat_psingulares SET activo = 1 , historial = '" . $historial . ", dato3=" . $revisar . " WHERE elem_red = " . $id;
    $resultado = mysqli_query($con, $sql);
    $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se reactiva punto singular eliminado previamente','PUNTO SINGULAR REACTIVADO','" . $fecha . "','" . $usuario . "','PSINGULAR')";
    $resultado2 = mysqli_query($con,$sql);
}

if ($id > 0 && $tipo == 'CAPTACION')
{    
    $sql = "SELECT id_conex_capt, historial FROM cat_captaciones WHERE elem_red = " . $id;
    $resultado = mysqli_query($con, $sql);
    $row = mysqli_fetch_assoc($resultado);
    $id_conex_capt = $row['id_conex_capt'];
    $historial2 = $row['historial'];
    $historial2 = dl_historial::dl_agrego_evento_a_historial($historial2,"REACTIVACION ", $usuario); 
    $sql = "UPDATE cat_conex_capt SET activo = 1 , historial = '" . $historial2 . ", dato3=" . $revisar . " WHERE id = " . $id_conex_capt;
    $resultado = mysqli_query($con, $sql);

    $historial = dl_historial::dl_agrego_evento_a_historial($historia,"REACTIVACION ", $usuario); 
    $sql = "UPDATE cat_captaciones SET activo = 1 , historial = '" . $historial . ", dato3=" . $revisar . " WHERE elem_red = " . $id;
    $resultado = mysqli_query($con, $sql);
    $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se reactiva captacion eliminada previamente','CAPTACION REACTIVADA','" . $fecha . "','" . $usuario . "','CAPTACION')";
    $resultado2 = mysqli_query($con,$sql);
}

    $res="ok";

mysqli_close($con);
$resultado = array(
    'mensaje'=> $res
    );
 echo json_encode($resultado);
?>